---
title: llarp::rpc::EndpointHandler

---

# llarp::rpc::EndpointHandler



 [More...](#detailed-description)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[EndpointHandler](Classes/classllarp_1_1rpc_1_1EndpointHandler.md#function-endpointhandler)**([RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md) & _server, DeferredSend _replier) |
| void | **[operator()](Classes/classllarp_1_1rpc_1_1EndpointHandler.md#function-operator())**() |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md) & | **[server](Classes/classllarp_1_1rpc_1_1EndpointHandler.md#variable-server)**  |
| RPC | **[rpc](Classes/classllarp_1_1rpc_1_1EndpointHandler.md#variable-rpc)**  |

## Detailed Description

```cpp
template <typename RPC >
class llarp::rpc::EndpointHandler;
```

## Public Functions Documentation

### function EndpointHandler

```cpp
inline EndpointHandler(
    RPCServer & _server,
    DeferredSend _replier
)
```


### function operator()

```cpp
inline void operator()()
```


## Public Attributes Documentation

### variable server

```cpp
RPCServer & server;
```


### variable rpc

```cpp
RPC rpc {};
```


-------------------------------

Updated on 2023-02-01 at 20:39:32 +0000